Bug 358631 - intel video suspend/resume text mode console loss
intel video suspend/resume text mode console loss
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 13:14 EDT by Michael E Brown
Modified: 2009-01-09 02:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (1.24 KB, text/plain)
2007-10-30 21:28 EDT, Michael E Brown
no flags Details
Pre-suspend Xorg.0.log (41.36 KB, text/plain)
2007-10-30 21:30 EDT, Michael E Brown
no flags Details
Post-resume Xorg.0.log (44.38 KB, text/plain)
2007-10-30 21:30 EDT, Michael E Brown
no flags Details

  None (edit)
Description Michael E Brown 2007-10-30 13:14:24 EDT
Description of problem:

using 'intel' video driver, upon resume only X works. Text-mode consoles no
longer work.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810- 2.0.0-4.fc7.x86_64

How reproducible:

every time

Steps to Reproduce:
1. suspend
2. resume
3. <ALT>-F1 == no console
  
Actual results:

No text mode consoles work

Expected results:

text mode consoles work

Additional info:

peaches are tasty
Comment 1 Michael E Brown 2007-10-30 13:17:14 EDT
Reproduced on Dell D620 x86_64 running a core2 duo (SMP kernel)

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)

Linux duo 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 20:47:39 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux
Comment 2 Michael E Brown 2007-10-30 13:32:07 EDT
works ok with i810 driver
Comment 3 Matěj Cepl 2007-10-30 13:45:15 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Michael E Brown 2007-10-30 21:27:40 EDT
Cannot run without xorg.conf because it defaults to 'i810' driver and doesnt
reproduce this issue.

Attaching xorg.conf and xorg.0.log.
Comment 5 Michael E Brown 2007-10-30 21:28:03 EDT
Created attachment 243941 [details]
xorg.conf
Comment 6 Michael E Brown 2007-10-30 21:30:00 EDT
Created attachment 243951 [details]
Pre-suspend Xorg.0.log

This is the Xorg.0.log before suspend.
Comment 7 Michael E Brown 2007-10-30 21:30:47 EDT
Created attachment 243961 [details]
Post-resume Xorg.0.log

this is the Xorg.0.log after the system has resumed.
Comment 8 Michael E Brown 2007-11-02 12:30:49 EDT
Fixed by:
pm-suspend --quirk-vbemode-restore

Looks like need to add this to the quirks list?
Comment 9 Matěj Cepl 2007-11-04 10:04:43 EST
Are you able to follow the steps on
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-try.html and
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-report.html and
file the patches for the quirk files yourself, or would you just send me output
of lshal command and let me to generate the patch myself?
Comment 10 Michael E Brown 2007-11-07 23:11:47 EST
cloned the upstream git repo per
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-report.html

The upstream repository appears to already have these quirks. When is the next
update going to be released with this patch?
Comment 11 Matěj Cepl 2007-11-08 09:37:21 EST
You can try packages from
http://koji.fedoraproject.org/koji/taskinfo?taskID=230701 It is very
experimental, unsupported, etc. I have just rebuild src.rpm with new tarball
created out of git. Does it help?
Comment 12 Jonathan Underwood 2007-12-29 09:53:22 EST
I still see this problem on a fully updated F8 release
Comment 13 Jesse Barnes 2008-01-10 18:32:20 EST
Can you try the kernel from rawhide?  It has suspend/resume bits that should 
restore your text mode properly as well.
Comment 14 Marcelo 2008-02-02 18:20:47 EST
I confirm this bug on a notebook with intel i945GM video chipset and xorg's
intel driver. Also, after waking from a suspend, screen brightness is
automatically set to 100% and can no longer be adjusted using kpowersave.
However, if I switch to a text terminal (which shows nothing, as reported above)
and then switch back to a X terminal, it's possible to adjust brightness again.
The brightness is also automatically set to 100% everytime the screensaver runs.
Comment 15 Matěj Cepl 2008-03-04 08:34:10 EST
Marcel, are you able to follow the steps in comment 3 as well, please? Also,
does the quirk shown above works for you?
Comment 16 Matěj Cepl 2008-04-10 05:50:39 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 17 Michael E Brown 2008-04-11 17:37:48 EDT
text mode console has been working on my machine for a while on up-to-date F8.
Dell D620 and intel 945 graphics.

Not sure if the two other people who have commented have this machine or maybe
another machine.

Comment 18 Marcelo 2008-04-11 17:55:51 EDT
Hi

Sorry for not having answering your question, I did not see it when it was
published. When I run without a xorg.conf, the i810 driver is automatically
selected instead of the intel driver. When using the i810 driver, the machine
does not wake up from suspend. Also, it's not possible to adjust LCD brightness
using kpowersave with this driver.
When using the intel driver, it's possible to adjust LCD brightness using
kpowersave and the machine suspends and wakes up ok, but after waking up the LCD
brightness is automatically set to 100% and cannot be adjusted with kpowersave
anymore. Also, text mode consoles don't show anything after waking up from
suspend. However, switching to a text console and then switching back to X,
kpowersave is able to adjust LCD brightness again.
LCD brightness is also automatically set to 100% everytime the screensaver is run.
I'm running F8 fully updated on a Centrino Duo notebook produced by a brazilian
manufacturer (Itautec), but it's a clone of some ASUS notebook. It uses an ASUS
MB and intel i945GM video chipset.
I don't know how to install the quirk mentioned earlier, so I could not test it.
Tell me if I can provide any useful information that may help do trace this problem.
Matej, were you able to reproduce the behavior described above?

Thanks,

Marcelo
Comment 19 Jesse Barnes 2008-04-11 18:07:20 EDT
This should be fixed in rahwide & F9 kernels, which include kernel level 
suspend/resume functionality for Intel graphics devices, please give that a 
try if you can.
Comment 20 James 2008-04-13 09:21:23 EDT
Seen here too, with Intel GM965 (a.k.a. X3100), Fedora 8 up-to-date at time of
commenting. Text console inaccessible after suspend/resume. Using
quirk-vbemode-restore resolves this, but I'll wait to see if forthcoming kernel
updates fix this.
Comment 21 Bug Zapper 2008-11-26 03:08:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-01-09 02:21:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.